import { DynamicModule } from '@nestjs/common';
import { Newable } from 'type-mongodb';
import { TypeMongoDBModuleOptions, TypeMongoDBModuleAsyncOptions } from './type-mongodb.interfaces';
export declare class TypeMongoDBModule {
    static forRoot(options?: TypeMongoDBModuleOptions, connectionName?: string): DynamicModule;
    static forRootAsync(options?: TypeMongoDBModuleAsyncOptions, connectionName?: string): DynamicModule;
    static forFeature(documents: Newable[], connectionName?: string): DynamicModule;
}
//# sourceMappingURL=type-mongodb.module.d.ts.map