"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var TypeMongoDBModule_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.TypeMongoDBModule = void 0;
const common_1 = require("@nestjs/common");
const type_mongodb_core_module_1 = require("./type-mongodb-core.module");
const type_mongodb_feature_module_1 = require("./type-mongodb-feature.module");
const type_mongodb_constants_1 = require("./type-mongodb.constants");
let TypeMongoDBModule = TypeMongoDBModule_1 = class TypeMongoDBModule {
    static forRoot(options, connectionName = type_mongodb_constants_1.TYPE_MONGODB_DEFAULT_CONNECTION) {
        return {
            module: TypeMongoDBModule_1,
            imports: [type_mongodb_core_module_1.TypeMongoDBCoreModule.register(connectionName, options)]
        };
    }
    static forRootAsync(options, connectionName = type_mongodb_constants_1.TYPE_MONGODB_DEFAULT_CONNECTION) {
        return {
            module: TypeMongoDBModule_1,
            imports: [type_mongodb_core_module_1.TypeMongoDBCoreModule.registerAsync(connectionName, options)]
        };
    }
    static forFeature(documents, connectionName) {
        return {
            module: type_mongodb_feature_module_1.TypeMongoDBFeatureModule,
            imports: [type_mongodb_feature_module_1.TypeMongoDBFeatureModule.register(documents, connectionName)]
        };
    }
};
TypeMongoDBModule = TypeMongoDBModule_1 = __decorate([
    common_1.Module({})
], TypeMongoDBModule);
exports.TypeMongoDBModule = TypeMongoDBModule;
//# sourceMappingURL=type-mongodb.module.js.map